:root {
  --blanco: #ffffff;
  --gris1: #edf2f6;
  --gris2: #2f3848;
  --gris3: #1a202d;
  --negro: #000000;

  --success: #198754;
  --danger: #dc3545;
  --warning: #facc2c;
  --info: #5cdcf4;
  
  --success-dark: #187444;
  --danger-dark: #b42c34;
  --warning-dark: #ffc107;
  --info-dark: #0dcaf0;

  --headingFont:'Raleway', sans-serif;
  --textFont:  'Roboto', sans-serif;
}

*, *:before, *:after {
  box-sizing: inherit;
} 
html {
  box-sizing: border-box;
  height: 100%;
  font-size: 62.5%; 
}
body {
  min-height: 100%;
  background-color: var(--gris1);
  font-size: 16px; 
  font-size: 1.6rem;
  font-family: var(--textFont);
}


h1, h2 {
  font-family: var(--headingFont);
  font-weight: 900;
  margin: 0 0 4rem 0;
  text-align: center;
  color: var(--gris2);
}
h1 span {
  font-weight: 400;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2.4rem;
}
ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
a {
  text-decoration: none;
  color: var(--gris2);
}

/** BOTONES **/
.btn {
  margin-top: 1rem;
  font-family: var(--headingFont);
  padding: 1.5rem;
  font-size: 1.4rem;
  font-weight: 400;
  border-radius: .5rem;
  border: none;
  transition: background-color .3s ease;
}
.btn:hover {
  cursor: pointer;
}
.btn-primario {
  background-color: var(--gris2);
  color: var(--blanco);
}
.btn-primario:hover {
  background: var(--gris3);
}
.btn-secundario {
  background-color: var(--gris1);
}
.btn-block {
  display: block;
  width: 100%;
}
.btn-submit:hover {
  background-color: var(--gris2);
}
.btn-blank {
  margin: 0;
  padding: 0;
  display: block;
  background-color: transparent;
}

@media (min-width: 768px) {
  .contenedor-app {
      display: flex;
      min-height: 100vh;
  }

  aside {
      background-color: var(--blanco);
      flex: 0 0 300px;
  }
  .seccion-principal {
      flex: 1;
  }

}


/* BARRA LATERAL */
aside  {
  padding: 3rem;
}

.formulario-nuevo-proyecto {
  margin-top: 2rem;
}
.formulario-nuevo-proyecto .input-text {
  border-bottom: 1px solid var(--gris2);
  border-radius: 0;
  background-color: var(--gris1);
}
.formulario-nuevo-proyecto .input-text::placeholder{
  color: var(--gris2);
}
.proyectos {
  margin-top: 2rem;
}
.listado-proyectos li {
  margin-bottom: 2rem;
}
.listado-proyectos li a {
  font-size: 1.4rem;
  color: var(--gris2);
  line-height: 1.5;
  font-weight: 300;
}
.app-header {
  display: flex;
  justify-content: space-between;
  background-color: var(--gris2);
  padding: 2rem 4rem;
}
.nombre-usuario {
  color: var(--blanco);
  font-size: 2.2rem;
  margin: 0;
}
.nombre-usuario span {
  font-weight: 900;
}
.nav-principal a {
  color: var(--blanco);
  text-decoration: none;
  line-height: 2.2rem;
  font-size: 2.2rem;
}
.nav-principal a:first-of-type {
  margin-right: 2rem;
}

/** Formulario crear y editar tareas **/
.formulario {
  background-color: var(--gris3);
  padding: 4rem;
  padding-top: 3rem;
}
.formulario form {
  max-width: 600px;
  margin: 0 auto;
}
.contenedor-input {
  display: flex;
}
.contenedor-input label {
  margin-bottom: 1rem;
  color: var(--blanco);
}
.input-text {
  padding: 1rem;
  border: none;
  border-radius: .5rem;
  flex: 1;
  width: 100%;
}

/** TAREAS LISTADO **/
.contenedor-tareas {
  padding: 4rem;
}



.listado-tareas {
  max-width: 600px;
  margin: 0 auto;
}

.tarea {
  display: flex;
  justify-content: space-between;
  background-color: var(--blanco);
  padding: .5rem 2rem;
  align-items: center;
  margin-bottom: 1rem;
  border-radius: .5rem;

}
.sombra {
  -webkit-box-shadow: 0px 4px 10px -3px rgba(117,117,117,1);
  -moz-box-shadow: 0px 4px 10px -3px rgba(117,117,117,1);
  box-shadow: 0px 4px 10px -3px rgba(117,117,117,1);
}
.sombra-dark {
  -webkit-box-shadow: 0px 6px 11px -8px rgba(0,0,0,0.9);
  -moz-box-shadow: 0px 6px 11px -8px rgba(0,0,0,0.9);
  box-shadow: 0px 6px 11px -8px rgba(0,0,0,0.9);
}
.tarea .acciones .btn:first-of-type {
  margin-right: 1rem;
}
.tarea p {
  font-size: 1.6rem;
  flex: 1;
  padding-right: 2rem;
}
.tarea .btn {
  padding: .8rem;
  font-size:1.4rem;
  border-radius: 0;
  margin: 0;
}

.estado {
  margin-right: 1rem;
}
.estado button, 
.mensaje {
  font-weight: 900;
  font-family: var(--textFont);
  font-size: 1rem;
  padding: .5rem;
  border-radius: .5rem;
  cursor: pointer;
  border: none;
}
.mensaje {
  text-align: center;
  font-size: 1.6rem;
  border-radius: 0;
}
.mensaje:hover {
  cursor: default;
}
.completo,
.correcto {
  background-color: rgba(154, 252, 154, .3);
  color: var(--gris3);
}
.incompleto{
  background-color: rgba(255, 178, 178, .4);
  color: var(--gris3);
}
.error {
  max-width: 600px;
  margin: 2rem auto 0 auto;
  background-color: rgb(170, 0, 0);
  color: var(--blanco);
}



.tarea-enter,
.proyecto-enter {
  opacity: 0;
}
.tarea-enter-active,
.proyecto-enter-active {
  opacity: 1;
  transition: opacity 200ms;
}
.tarea-exit,
.proyecto-exit {
  opacity: 1;
}
.tarea-exit-active,
.proyecto-exit-active {
  opacity: 0;
  transition: opacity 200ms;
}

.form-usuario {
    background-color: var(--gris2);
    height: 100vh;
    min-height: 800px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contenedor-form {
    padding: 5rem 3rem;
    max-width: 500px;
    width: 95%;
    background-color: var(--blanco);
    border-radius: 1rem;
}

.campo-form {
    display: flex;
    margin-bottom: 2rem;
    align-items: center;
}
.campo-form:last-of-type {
  margin: 0;
}
.campo-form label {
  flex: 0 0 100px;
  font-family: var(--textFont);
}
.campo-form input[type="password"],
.campo-form input[type="email"], 
.campo-form input[type="text"] {
  border: 1px solid #e1e1e1;
  padding: 1rem;
  flex: 1;
}

.enlace-cuenta {
  margin-top: 2rem;
  display: block;
  opacity: .7;
}

.text-center {
  text-align: center;
}
.text-left {
  text-align: left;
}
.text-right {
  text-align: right;
}

.sidebar .header h1 {
  margin-bottom: 0.5rem;
}
.sidebar .header h3 {
  margin-top: 0.5rem;
  color: var(--gris2);
  font-weight: bold;
}
.btn:disabled,
.completo:disabled,
.incompleto:disabled {
  cursor: no-drop;
}
.btn-success {
  background-color: var(--success);
  color: var(--blanco);
}
.btn-success:hover {
  background: var(--success-dark);
}
.btn-danger {
  background-color: var(--danger);
  color: var(--blanco);
}
.btn-danger:hover {
  background: var(--danger-dark);
}
.btn-danger:disabled {
  background: #F28599;
}
.btn-warning {
  background-color: var(--warning);
  color: var(--negro);
}
.btn-warning:hover {
  background: var(--warning-dark);
}
.btn-warning:disabled {
  background: #FFD75F;
}
.btn-info {
  background-color: var(--info);
  color: var(--negro);
}
.btn-info:hover {
  background: var(--info-dark);
}
.btn-info:disabled {
  background: #62DDF5;
}

.completo:disabled,
.incompleto:disabled,
.btn-warning:disabled,
.btn-info:disabled {
  color: rgba(0,0,0,0.6);
}

.bg-success {
  background-color: var(--success);
}
.bg-danger {
  background-color: var(--danger);
}
.bg-warning {
  background-color: var(--warning);
}
.bg-info {
  background-color: var(--info);
}

.text-white {
  color: var(--blanco);
}
.text-gray-2 {
  color: var(--gris2);
}
.alert {
  padding: 1rem;
  text-align: center;
  border-radius: 5px;
  border: 2px solid transparent;
}
.alert-danger {
  background-color: #f8d7da !important;
  border-color: #f5c2c7 !important;
  color: #842029 !important;
  color: var(--blanco);
}
.alert-outline-danger {
  border-color: var(--danger);
  color: var(--danger);
}
.header.tareas {
  background-color: var(--gris3);
  padding: 1rem;
  padding-top: 2rem;
}
.header.tareas h2 {
  color: var(--blanco) !important;
  margin: 0;
}
.no-project {
  
  margin-top: 10rem;
  margin-bottom: 10rem;
}

.mb-1 {
  margin-bottom: 1rem;
}
.mb-2 {
  margin-bottom: 2rem;
}
.mb-3 {
  margin-bottom: 3rem;
}
.ml-1 {
  margin-left: 1rem;
}
.ml-2 {
  margin-left: 2rem;
}
.ml-3 {
  margin-left: 3rem;
}
.mt-1 {
  margin-top: 1rem;
}
.mt-2 {
  margin-top: 2rem;
}
.mt-3 {
  margin-top: 3rem;
}

.padding_cerrer-sesion {
  padding: 0.4rem !important;
}

.alerta {
  position: fixed;
  top: 0;
  left: 0;
  padding: 1rem 3rem;
  border-radius: 5px;
  font-family: var(--headingFont);
  font-weight: 600;
  text-transform: uppercase;
  font-size: 2rem;
  text-align: center;
  width: 100%;
}
@media (min-width:768px) {
  .alerta {
      width: auto;
      top: 30px;
      right: 10px;
      left: auto;
  }
}

.alerta-ok {
  background-color: var(--success);
  color: var(--blanco);
}
.alerta-error {
  background-color: var(--danger);
  color: var(--blanco);
}